### Type parameters

- #### V: CryptoWallet

- #### T: SupportSignedMessageData<V>

### Hierarchy

- AbstractWalletValidator
  - AppWalletValidator
  - BtcWalletValidator
  - EthWalletValidator
  - UsdWalletValidator

### Implements

- WalletValidator<V, T>

## Index

### Methods

- validateCryptoWallet
- validateSignature

## Methods

### validateCryptoWallet

- validateCryptoWallet(wallet: T): ValidationResult<StringSignedMessage>

- Implementation of WalletValidator.validateCryptoWallet

  - Defined in utils/types/validators/AbstractWalletValidator.ts:9

  #### Parameters

  - ##### wallet: T

  #### Returns ValidationResult<StringSignedMessage>

### Abstract validateSignature

- validateSignature(wallet: T): boolean

- Implementation of WalletValidator.validateSignature

  - Defined in utils/types/validators/AbstractWalletValidator.ts:45

  #### Parameters

  - ##### wallet: T

  #### Returns boolean

Generated using TypeDoc